{% load static %}
{% load compress %}

<!doctype html>
<html lang="en">

  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">

    <!-- Normal CSS-->
    {% compress css %}
    <link type="text/x-scss" href="{% static 'style.scss' %}" rel="stylesheet" media="screen">
{% endcompress %}

    <title>Ecaflip Citizyovo</title>
  </head>

  <body>
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="container-fluid">
        <a class="navbar-brand" href="#">Index</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation" onclick="myFunction(0)">
        <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item">
                <a class="nav-link active" href="{% url 'appli:cards' %}">Cartes</a>
                </li>
                <li class="nav-item">
                <a class="nav-link active" href="{% url 'appli:series' %}">Séries</a>
                </li>


                <!-- DROPDOWN de sélection d'une carte ou d'un craft-->
                <li class="nav-item dropdown">

                    <a class="nav-link dropdown-toggle active" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                        Recherche
                    </a>

                    <ul class="dropdown-menu" aria-labelledby="navbarDropdown" id="myDropdown0">
                        <input type="text" placeholder="Search.." id="myInput0" onkeyup="filterFunction(0)">
                        {%for card in AutocompleteCards%}
                            <li>
                                <a class="dropdown-item" href="{%url 'appli:card' card.pk %}">{{card.name}}</a>
                            </li>
                        {%endfor%}

                        {%for craft in AutocompleteCrafts%}
                            <li>
                                <a class="dropdown-item" href="{%url 'appli:craft' craft.pk %}">{{craft.name}}</a>
                            </li>
                        {%endfor%}
                        
                    </ul>
                </li>

                <li class="nav-item">
                  <a class="nav-link active" href="{%url 'appli:combinations'%}">Chercheur de combinaisons</a>
                </li>
            </ul>
        </div>
    </div>
    </nav>
    {%block content%}
    {% endblock %}

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.bundle.min.js" integrity="sha384-JEW9xMcG8R+pH31jmWH6WWP0WintQrMb4s7ZOdauHnUtxwoG2vI5DkLtS3qm9Ekf" crossorigin="anonymous"></script>
  
    <script>
    /* When the user clicks on the button,
    toggle between hiding and showing the dropdown content */
    function myFunction(id) {
      document.getElementById("myDropdown"+id).classList.toggle("show");
    }

    function filterFunction(id) {
      var input, filter, ul, li, a, i;
      input = document.getElementById("myInput"+id);
      filter = input.value.toUpperCase();
      div = document.getElementById("myDropdown"+id);
      a = div.getElementsByTagName("a");
      for (i = 0; i < a.length; i++) {
        txtValue = a[i].textContent || a[i].innerText;
        if (txtValue.toUpperCase().indexOf(filter) > -1) {
          a[i].style.display = "";
        } else {
          a[i].style.display = "none";
        }
      }
    }
    </script>
  </body>
</html>
